/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   so_long.h                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/12/10 17:59:18 by erey-bet          #+#    #+#             */
/*   Updated: 2022/12/14 16:12:41 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef SO_LONG_H
# define SO_LONG_H

# include <X11/X.h>
# include "minilibx-linux/mlx.h"
# include "key.h" 
# include <stdlib.h>
# include "libft/libft.h"
# include "get_next_line/get_next_line.h"
# include <fcntl.h>


typedef struct s_data
{
	void	*mlx;
	void	*mlx_win;
	void	*mlx_img;
	char	**map;
	int		h_map;
	int		w_map;
	int		update;
	int		size;
	int		x_player;
	int		y_player;
	int		h_screen;
	int		w_screen;
}	t_data;

typedef struct s_xy
{
	int	x;
	int	y;
}	t_xy;

#endif
